/************************************************************************* 
* 版权所有：	
* 文件版本： V1.00
* 文件名称： DILogic.h 
* 生成日期： 2008年11月15日
* 作	者： 
* 功	能： 保护逻辑元件库头文件
* 更新信息：
* 更新日志1：
* 日期：	  
* 修改者：	  
* 修改内容：  
* 修改原因：  
* 更新日志2：
**************************************************************************/
#ifndef __UNITSLIB_H
#define __UNITSLIB_H

#define SIN0      0
#define COS0      256
#define SIN300    -222
#define COS300    128

#define SIN180      0
#define COS180      -256
#define SIN120    222
#define COS120    -128


#define SIN150   128
#define COS150   -222
#define SIN210   -128
#define COS210   -222

//返回系数
#define		CONST_OCFHXISHU     	245           	//256*0.98*0.98  过量型返回系数
#define		CONST_FHXISHU	      	231            	// 256*0.95*0.95  过量型返回系数
#define		CONST_LESSFHXISHU   	282             // 256*1.05*1.05  欠量型返回系数
        

/*一下为输入元件*/

/**********************************************************************
声明全局变量
***********************************************************************/

/*以下保护逻辑元件*/
void ProtectRelayInit(void);                           		//保护继电器初始化元件
bool OverRelay(DWORD dI,DWORD dIdz,DWORD dfhdz ,bool bEN);
bool LowRelay(DWORD dI,DWORD dIdz,DWORD dfhdz ,bool bEN);
DWORD SelectMax(DWORD A, DWORD B, DWORD C);      		//    3选１函数
void TVYCpb(DWORD Step);                            	//TV1异常判断
void ProtectRelayInit1(void);                           //函数功能说明：保护继电器初始化元件
 bool SynJudge(long lANG1,long lANG2,DWORD dANGSET);//同期判别
long CalcAngSub(long Real1, long Imag1, long Real2, long Imag2);
bool PowerDirectionalRelay(long Ur,long Ui,DWORD U, long Ir,long Ii,DWORD I, DWORD Umk,DWORD Imk,long sina1,long cosa1,long sina2,long cosa2);
#endif
/*******************************end***************************************/
